/* abeani */

@import url('selectex.css');
@import url('slideThree.css');
@import url('inputTypeRange.css');

/* properties */

:root {
	/*
	 * xx-small 0.6rem
	 * x-small  0.75rem
	 * small    0.89rem
	 * medium   1rem
	 * large    1.13rem
	 * x-large  1.5rem
	 * xx-large 2rem
	 */
	font-size:16px;
	--xx-small:0.6rem;
	--x-small: 0.75rem;
	--small:   0.89rem;
	--medium:  1rem;
	--large:   1.13rem;
	--x-large: 1.5rem;
	--xx-large:2rem;

	--heading-bg:#333;
	--padding-width:50px;
	--channel-height:50px;
	--sub-channel-height:12px;
	--channel-min-width:200px;

	--document-width:20px;
	--toolbar-height:20px;
	--slot-top:50px;
	--current-time-color:#000;
}

/* general classes */

body {
	margin:0;
	padding:0;
	background-color:#fff;
	font-size:var(--medium);
	color:var(--heading-bg);
}

a {
	color:#46a;
	text-decoration:none;
}
a:hover {
	color:#d00;
	text-decoration:underline;
}

/* utility classes */

.hidden {
	visibility:hidden !important;
}

.no-display {
	display:none !important;
}

.fadein {
	visibility:visible !important;
	opacity:1 !important;
}

.no-scroll {
	overflow:hidden;
}

.left {
	text-align:left !important;
}

.center {
	text-align:center !important;
}

.right {
	text-align:right !important;
}

.nowrap {
	white-space:nowrap;
}

.shadow {
	box-shadow:0 3px 8px rgba(0, 0, 0, .5);
}

/* logger */

#init-log {
	position:fixed;
	left:0px;
	top:0px;
	right:0px;
	bottom:0px;
	padding:16px;
	background-color:#fff;
	color:#000;
	z-index:2000;
	transition:opacity 1s;
	font-family:monospace;
	font-size:var(--x-small);
}

#init-log.fade-out {
	opacity:0;
}

#init-log div {
	margin:0 0 8px 0;
}

/* heading */

#heading {
	background-color:var(--heading-bg);
	color:#fff;
}

#title {
	box-sizing:border-box;
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	position:sticky;
	left:0;
	padding:8px 8px 0 8px;
	width:var(--document-width);
}

#logo {
	line-height:1;
	font-size:var(--xx-large);
	font-weight:bold;
}

/* ads */

.kokoku-top {
	margin:0 0 8px 0;
	width:970px;
	height:90px;
	float:right;
	background:url(../image/gaoru@20201007.png) center top no-repeat;
}

.kokoku-bottom {
	margin:0 auto 8px auto;
	width:970px;
	height:90px;
	background:url(../image/gaoru@20201007.png) center top no-repeat;
}

/* toolbar */

#heading2 {
	background-color:var(--heading-bg);
	color:#fff;
	position:sticky;
	top:-1px;
	z-index:1024;
}

#toolbar {
	box-sizing:border-box;
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	padding:8px;
	position:sticky;
	left:0px;
	background:linear-gradient(to bottom, var(--heading-bg) 0%,#222 100%);
	width:var(--document-width);
}

#toolbar > .date {
	flex:1 1 auto;
	display:flex;
	flex-direction:row;
	justify-content:flex-start;
	align-items:center;
}

#toolbar > .date > *:not(:first-child) {
	margin-left:8px !important;
}

#toolbar > .date a.icon {
	position:relative;
	margin:0;
	padding:2px;
	width:20px;
	height:20px;
	opacity:.8;
}

#toolbar > .date a.icon span {
	position:absolute;
	display:flex;
	justify-content:center;
	align-items:center;
	box-sizing:border-box;
	margin:0;
	padding:0;
	right:-4px;
	top:-4px;
	width:1.5em;
	height:1.5em;
	background-color:#f00;
	color:#fff;
	border-radius:50%;
	/*font-size:.9em;*/
	font-weight:bold;
	line-height:1;
}

#toolbar > .date a.icon.active {
	background-color:#555;
	border-radius:3px 3px 0 0;
}

#toolbar > .date a.icon:hover {
	opacity:1
}

#toolbar > .date img {
	width:20px;
	height:20px;
}

#toolbar > .links {
	margin:0 12px 0 0;
	font-size:var(--x-small);
	align-self:center;
}

#toolbar > .links a {
	color:#ccc;
}

#toolbar > .links a:hover {
	color:#fff;
}

#toolbar > .search input[type="text"] {
	margin:0;
	padding:4px;
	border:none;
	border-radius:4px;
	width:15em;
	background-color:#555;
	color:#fff;
	font-size:var(--medium);
}

#toolbar > .search input[type="text"]:hover {
	background-color:#777;
	color:#fff;
}

#toolbar > .search input[type="text"]:focus {
	outline:none;
	background-color:#fff;
	color:#000;
}

#toolbar > .search input[type="text"]::placeholder {
	font-size:var(--x-small);
	font-style:italic;
	color:#ccc;
}

/* timetable */

#timetable-container {
	min-width:fit-content;
}

.timetable-content {
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	position:relative;
	margin:0;
	padding:0;
}

.timetable-content > .padding {
	flex:0 0 var(--padding-width);
	background-color:#e0e0e0;
}

.timetable-content > .padding > .gear-icon {
	display:flex;
	flex-direction:column;
	flex-wrap:nowrap;
	align-items:center;
	justify-content:center;
	position:sticky;
	margin:0;
	top:var(--toolbar-height);
	width:var(--padding-width);
	height:var(--channel-height);
	background-color:var(--heading-bg);
	color:#fff;
	border:none;
	transition:box-shadow 1s ease;
}

.timetable-content > .padding > .gear-icon:hover {
	background-color:#555;
}

.timetable-content > .padding > .gear-icon img {
	width:24px;
	height:24px;
	transition:transform .5s ease;
}

.timetable-content > .padding > .gear-icon:hover img {
	transform:rotate(45deg);
}

.timetable-content > .padding > .fold-on img {
	filter:invert(58%)
		sepia(51%)
		saturate(4239%)
		hue-rotate(83deg)
		brightness(120%)
		contrast(121%);
}

.timetable-content > .padding > .fold-off img {
	filter:invert(100%);
}

.timetable-content > .hours {
	position:sticky;
	left:0;
	top:0;
	font-size:var(--small);
	z-index:1023;
}

.timetable-content > .hours > .channel-back {
	box-sizing:border-box;
	position:sticky;
	margin:0;
	padding:0;
	top:var(--toolbar-height);
	height:var(--channel-height);
	background-color:var(--heading-bg);
	border:none;
	transition:box-shadow 1s ease;
}

.timetable-content > .hours > .hour {
	box-sizing:border-box;
	margin:0;
	padding:2px;
	color:#fff;
	border-style:none none solid none;
	border-color:#ddd;
	border-width:1px;
	text-align:center;
}

.timetable-content > .slots {
	flex:1 1 auto;
	margin:0;
	padding:0;
	background-color:#e0e0e0;
}

.timetable-content > .slots > .channel {
	box-sizing:border-box;
	display:block;
	position:sticky;
	margin:0;
	top:var(--toolbar-height);
	height:var(--channel-height);
	min-width:var(--channel-min-width);
	border:none;
	z-index:1023;
	transition:box-shadow 1s ease;
	background-color:var(--heading-bg);
	color:#fff;
}

#main-timetable.timetable-content > .slots > .channel::after {
	position:absolute;
	width:100%;
	height:100%;
	left:0;
	top:0;
	content:"";
	background-position:center;
	background-repeat:no-repeat;
	background-image:var(--logo-src);
}

#main-timetable.timetable-content > .slots > .channel:hover {
	background-color:#555;
}

.timetable-content > .slots.compact .channel {
	min-width:2em;
}

#main-timetable.timetable-content > .slots.compact > .channel::after {
	/*
	position:absolute;
	transform:rotate(90deg);
	max-width:calc(var(--channel-height) - 12px);
	*/
	width:200%;
	left:-50%;
	background-size:calc(var(--channel-height) - 4px) auto;
	transform:rotate(90deg);
}

#next-timetable > .hours > .sub-back {
	box-sizing:border-box;
	margin:0;
	padding:0;
	height:var(--sub-channel-height);
	overflow:hidden;
	background-color:hsl(180deg 50% 40%);
	border:none;
}

#next-timetable > .slots .channel {
	height:var(--sub-channel-height);
	overflow:hidden;
	background-color:hsl(180deg 50% 40%);
}

#next-timetable > .slots .channel img {
	visibility:hidden;
}

/* slot */

.slot {
	box-sizing:border-box;
	display:block;
	position:relative;
	margin:0 auto 0 auto;
	padding:0;
	max-width:500px;
	background-color:#fff;
	color:#000;
	overflow:clip;
	border-style:none solid solid none;
	border-color:#ddd;
	border-width:1px;
	font-size:var(--small);
	line-height:1.3;
	word-break:break-word;
	text-decoration:none;
}

.slot:hover {
	text-decoration:none;
}

.slot > div.sticky-content {
	margin:0 auto 0 auto;
	padding:8px 12px 8px 12px;
	position:sticky;
	top:var(--slot-top);
}

.slot div.heading {
	color:#000;
	font-size:var(--medium);
	font-weight:bold;
}

.slot div.highlight {
	display:none;
	margin:8px 0 0 2rem;
	font-size:var(--xx-small);
	text-align:justify;
}

.slot div.thumb {
	margin:8px 0 0 2rem;
	position:relative;
}

.slot div.link {
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	margin:8px 0 0 2rem;
	font-size:var(--x-small);
}

.slot div.link > * {
	flex:1 1 auto;
	margin:0;
	padding:6px 0 6px 0;
	border-radius:4px;
	background-color:#333;
	color:#fff;
	text-align:center;
	font-size:var(--small);
	font-weight:bold;
	text-decoration:none;
}

.slot div.link > *:not(:last-child) {
	margin:0 4px 0 0;
}

.slot div.link > *:hover {
	background-color:#777;
}

.slot div.notify-link.disabled {
	background-color:#ccc !important;
}

.slot .dt {
	font-size:var(--small);
	font-weight:normal;
	color:#228B22;
}

.slot .title {
}

.slot img.thumb {
	width:100%;
	border-radius:4px;
}

.slot img.thumb:nth-child(n+2) {
	position:absolute;
	left:0;
	top:0;
}

.slot .mark,
.found-item .mark,
.headingpopup-item .mark {
	display:inline-block;
	margin:0 2px 0 0;
	vertical-align:-0.1em;
	background:url(../image/marks@20201007.png) no-repeat;
}

.slot .vmark {
	display:inline-block;
	margin:0 0 2px 0;
	/*vertical-align:-0.1em;*/
	background:url(../image/vmarks.png) no-repeat;
}

.slot .mark.live,
.found-item .live {
	width:15px;
	height:15px;
	background-position:0 0;
}

.slot .vmark.live {
	width:15px;
	height:15px;
	background-position:0 0;
}

.slot .mark.newcomer,
.found-item .newcomer,
.headingpopup-item .newcomer {
	width:15px;
	height:15px;
	background-position:-16px 0;
}

.slot .vmark.newcomer {
	width:15px;
	height:15px;
	background-position:0 -16px;
}

.slot .mark.recommendation,
.found-item .recommendation {
	width:23px;
	height:15px;
	background-position:-32px 0;
}

.slot .vmark.recommendation {
	width:15px;
	height:23px;
	background-position:0 -32px;
}

.slot .mark.bingeWatching,
.found-item .bingeWatching {
	width:26px;
	height:15px;
	background-position:-56px 0;
}

.slot .vmark.bingeWatching {
	width:15px;
	height:26px;
	background-position:0 -56px;
}

.slot .mark.first,
.found-item .first {
	width:14px;
	height:15px;
	background-position:-83px 0;
}

.slot .vmark.first {
	width:15px;
	height:14px;
	background-position:0 -83px;
}

.slot .mark.last,
.found-item .last {
	margin:0 0 0 2px;
	width:15px;
	height:15px;
	background-position:-98px 0;
}

.slot .vmark.last {
	margin:0 0 0 2px;
	width:15px;
	height:15px;
	background-position:0 -98px;
}

.headingpopup-item .last {
	margin:0 2px 0 0;
	width:15px;
	height:15px;
	background-position:-98px 0;
}

.slot .mark.timeshift-free,
.found-item .timeshift-free {
	margin:0 0 0 2px;
	width:15px;
	height:15px;
	background-position:-114px 0;
}

.slot .vmark.timeshift-free {
	margin:0 0 0 2px;
	width:15px;
	height:15px;
	background-position:0 -114px;
}

/* notify mark */

.slots:not(.compact) .notify-mark {
	position:absolute;
	right:0;
	top:0;
	width:98px;
	height:98px;
	background:url(../image/notify-mark.png) no-repeat;
}

.slots.compact .notify-mark {
	position:absolute;
	right:0;
	top:0;
	width:22px;
	height:22px;
	background:url(../image/notify-mark-compact.png) no-repeat;
}

.found-item .notify-mark {
	position:absolute;
	left:0;
	top:0;
	width:98px;
	height:98px;
	background:url(../image/notify-mark-left.png) no-repeat;
}

.slots:not(.compact) .tracking-series-mark,
.found-item          .tracking-series-mark,
#notify-list.heading-popup > .innerwrap .tracking-series-mark {
	position:absolute;
	margin:0;
	padding:0;
	right:0;
	top:0;
	width:98px;
	height:98px;
	background:url(../image/notify-series.png) no-repeat;
}

.slots.compact .tracking-series-mark {
	position:absolute;
	right:0;
	top:0;
	width:22px;
	height:22px;
	background:url(../image/notify-series-mark-compact.png) no-repeat;
}

/* play state styles */

#main-timetable .slot.playing {
	background-color:#eeffe3;
}

#main-timetable .slot.played {
	background-color:#eee;
}

#main-timetable .slot.played:not([class~=timeshift-free]) .title {
	color:#aaa;
}

#main-timetable .slot.played:not([class~=timeshift-free]) .dt {
	color:#aaa;
}

#main-timetable .slot.played:not([class~=timeshift-free]) .mark {
	opacity:0.5;
}

#main-timetable .slot.played:not([class~=timeshift-free]) .thumb img {
	filter:grayscale(.9);
}

/* compact slot */

.slot > .compact {
	margin:0 auto 0 auto !important;
	padding:8px 0 0 0 !important;
	color:#000;
	font-size:var(--x-small);
	font-weight:normal;
	white-space:nowrap;
	writing-mode:vertical-rl;
	text-orientation:upright;
}

.slot > .compact .digits3 {
	text-combine-upright:all;
}

/* visibility of compact and full slot contents */

.slots:not(.compact) > .slot > .sticky-content.compact {
	display:none;
}

.slots.compact > .slot > .sticky-content:not(.compact) {
	display:none;
}

/* popup slots */

.popup-slot {
	position:absolute;
	box-sizing:border-box;
	border-style:solid none none solid;
	border-color:#888;
	border-width:1px;
	box-shadow:0 3px 8px rgba(0, 0, 0, .5);
	opacity:0;
	visibility:hidden;
	left:0;
	top:0;
	transition-property:opacity;
	transition-duration:.5s;
	transition-timing-function:ease;
	transition-delay:0s;
	z-index:1024;
}

.popup-slot .slot {
	padding:8px 12px 8px 12px;
	background-color:#f8f8f8;
	border-color:#888;
	cursor:pointer;
}

.popup-slot div.highlight {
	display:block;
	color:#000;
}

/* prev and next day link */

.float-button-left, .float-button-right {
	display:flex;
	flex-direction:row;
	align-items:center;
	position:fixed;
	bottom:16px;
	background-color:#000000e0;
	color:#ccc;
	font-size:var(--small);
	text-decoration:none;
	z-index:1024;
}

.float-button-left {
	left:0px;
	padding:4px 12px 4px 2px;
	border-radius:0 999px 999px 0;
}

.float-button-right {
	right:0px;
	padding:4px 2px 4px 12px;
	border-radius:999px 0 0 999px;
}

.float-button-left:hover, .float-button-right:hover {
	background-color:#444;
	color:#fff;
	text-decoration:none;
}

.float-button-left > img, .float-button-right > img {
	width:20px;
	height:20px;
	vertical-align:middle;
}

.float-button-left > span, .float-button-right > span {
	white-space:nowrap;
}

.float-button-left > span {
	margin:0 0 0 4px;
}

.float-button-right > span {
	margin:0 4px 0 0;
}

/* overlay for nextday timetable */

.timetable-content .nextday-overlay {
	position:absolute;
	left:0;
	top:0;
	width:100%;
	height:100%;
	background:linear-gradient(to bottom, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
	z-index:1024;
}

.timetable-content .nextday-overlay > div {
	display:flex;
	justify-content:center;
	align-items:center;
	width:var(--document-width);
	height:100%;
	position:sticky;
	left:0;
	text-align:center;
}

.timetable-content .nextday-overlay .nextday-button {
	display:inline-block;
	padding:12px 48px 12px 48px;
	background-color:#000000e0;
	color:#ccc;
	border-radius:999px;
	font-size:var(--xx-large);
	font-weight:bold;
	text-align:center;
	text-decoration:none;
	line-height:1;
}

.timetable-content .nextday-overlay .nextday-button:hover {
	background-color:#444;
	color:#fff;
}

/* time guide */

#time-guide {
	box-sizing:border-box;
	position:absolute;
	left:0px;
	top:0px;
	padding:0;
	line-height:1;
	pointer-events:none;
	z-index:1023;
}

#time-guide > div {
	display:flex;
	align-items:center;
	position:sticky;
	left:0;
	width:var(--document-width);
}

#time-guide span:first-child {
	padding:2px 3px 2px 3px;
	border-radius:0 3px 3px 0;
	background-color:var(--current-time-color);
	color:#fff;
	font-weight:bold;
	font-size:var(--small);
}

#time-guide span:last-child {
	flex-grow:1;
	height:1px;
	overflow:hidden;
	border-bottom:1px solid var(--current-time-color);
	box-shadow:0 1px 0 rgba(0,0,0,.25);
}

/*
 * popups in heading
 */

#heading2 .heading-popup {
	position:absolute;
	box-sizing:border-box;
	width:25vw;
	height:66vh;
	margin:0;
	padding:0;
	left:0;
	top:0;
	background-color:#444;
	border:1px solid #555;
	opacity:.98;
	overflow-y:scroll;
}

.heading-popup > .innerwrap {
	padding:8px;
}

.heading-popup > .innerwrap h1 {
	margin:-8px -8px 16px -8px;
	padding:8px;
	border-bottom:1px solid #555;
	color:#fff;
	font-size:var(--large);
	font-weight:bold;
	line-height:1;
}

.heading-popup > .innerwrap h1:not(:first-child) {
	margin-top:8px;
}

.heading-popup > .innerwrap img {
	vertical-align:-.5em;
}

.heading-popup > .innerwrap .indicator {
	display:flex;
	flex-direction:column;
	justify-content:center;
	align-items:center;
	min-height:100px;
	line-height:1.5;
}

.heading-popup > .innerwrap .indicator a {
	color:#afdfe4;
}

.heading-popup > .innerwrap .indicator a:hover {
	color:#f58f98;
}

#channel-notify.heading-popup > .innerwrap .headingpopup-item {
	margin:0 0 4px 0;
	padding:8px;
	background-color:#fff;
	color:#333;
	border-radius:2px;
	box-shadow:0 1px 4px rgba(0, 0, 0, .9);
	border:none;
	line-height:1;
}

#channel-notify.heading-popup > .innerwrap .d {
	margin:0 0 4px 0;
	font-size:var(--small);
	color:#228b22;
}

#channel-notify.heading-popup > .innerwrap .t {
	line-height:1.5;
	font-size:var(--medium);
	font-weight:bold;
}

#notify-list.heading-popup > .innerwrap .slot {
	margin:0 0 4px 0;
	padding:0;
	background-color:#fff;
	color:#333;
	border-radius:4px;
	box-shadow:0 1px 4px rgba(0, 0, 0, .9);
	border:none;
	line-height:1;
}

#notify-list.heading-popup > .innerwrap img.thumb {
	position:absolute;
	left:0;
	top:0;
	width:100%;
}

#notify-list.heading-popup > .innerwrap .slot .front-layer {
	position:absolute;
	box-sizing:border-box;
	left:0;
	top:0;
	width:100%;
	height:100%;
	padding:4px 8px 8px 8px;
	background:linear-gradient(to bottom, rgba(255,255,255,1) 25%, rgba(255,255,255,0) 100%);
}

#notify-list.heading-popup > .innerwrap .t {
	padding-right:80px;
	font-size:var(--small);
	font-weight:bold;
	line-height:1.2;
}

#notify-list.heading-popup > .innerwrap .d {
	position:absolute;
	left:8px;
	bottom:8px;
	padding:4px;
	font-size:var(--small);
	color:#228b22;
	border-radius:4px;
	background-color:rgba(255,255,255,.75);
}

#notify-list.heading-popup > .innerwrap .bw {
	position:absolute;
	right:8px;
	bottom:8px;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:flex-end;
	transition:opacity 1s;
	opacity:0;
}

#notify-list.heading-popup > .innerwrap .slot:hover .bw {
	opacity:1;
}

#notify-list.heading-popup > .innerwrap .bw > a,
#notify-list.heading-popup > .innerwrap .bw2 > a {
	margin:0;
	padding:6px 20px 6px 20px;
	border-radius:4px;
	background-color:#333;
	color:#fff;
	text-align:center;
	font-size:var(--small);
	font-weight:bold;
	text-decoration:none;
}

#notify-list.heading-popup > .innerwrap .bw > a:hover,
#notify-list.heading-popup > .innerwrap .bw2 > a:hover {
	background-color:#777;
}

#notify-list.heading-popup .empty-notice img {
	display:block;
	max-width:100%;
	margin:0 auto 0 auto;
}

#notify-list.heading-popup > .innerwrap .series {
	margin:0 0 4px 0;
	padding:4px;
	background-color:#f17b01;
	color:#fff;
	border-radius:4px;
	box-shadow:0 1px 4px rgba(0, 0, 0, .9);
	border:none;
	line-height:1.2;
	font-size:var(--small);
	font-weight:bold;
}

#notify-list.heading-popup > .innerwrap .series .bw2 {
	margin:8px 0 0 0;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:flex-end;
}

/*
 * calendar in heading
 */

#heading2 .heading-calendar {
	position:absolute;
	box-sizing:border-box;
	margin:0;
	padding:0;
	left:0;
	top:0;
	background-color:#f0f0f0;
	color:#555;
	border:1px solid #555;
	opacity:.98;
	z-index:1024;
}

.heading-calendar table {
	margin:0;
	padding:0;
	border-collapse:separate;
	border-spacing:0px;
	background-color:transparent;
}

.heading-calendar th {
	padding:8px 12px 8px 12px;
	font-size:var(--x-small);
	font-weight:normal;
	background-color:#ddd;
	color:#555;
}

.heading-calendar th:first-child,
.heading-calendar td:first-child > div,
.heading-calendar td.holiday {
	color:#bb4c4d;
}

.heading-calendar td.event {
	font-style:italic;
}

.heading-calendar td {
	padding:2px;
	text-align:center;
	vertical-align:bottom;
}

.heading-calendar tr:first-child td {
	padding-top:8px;
}

.heading-calendar td > div,
.heading-calendar td > a {
	display:block;
	position:relative;
	padding:10px 0 10px 0;
	font-size:var(--small);
	font-weight:normal;
	line-height:1;
}

.heading-calendar td.in-timetable {
	background-color:#ffc48e;
}

.heading-calendar td.left-edge {
	border-radius: 6px 0 0 0;
}

.heading-calendar td.right-edge {
	border-radius: 0 0 6px 0;
}

.heading-calendar td > a {
	color:#a03030;
	text-decoration:none;
	border:1px solid #ffc48e;
	border-radius:50%;
}

.heading-calendar td > a:hover {
	background-color:#ffe4d1;
	border-color:#ffe4d1;
}

.heading-calendar td.current-date > a {
	font-weight:bold;
	border-color:#bb4c4d;
}

.heading-calendar td .month {
	position:absolute;
	left:0;
	top:-2px;
	padding:0 1px 1px 0;
	background-color:#f0f0f0;
	border-radius:4px;
	line-height:1;
	font-size:var(--xx-small);
	font-style:italic;
	font-weight:normal !important;
}

.heading-calendar td.in-timetable .month {
	background-color:#ffc48e;
}

.heading-calendar td .scheduled {
	position:absolute;
	right:0;
	top:0;
	padding:0;
	width:8px;
	height:8px;
	background:url(../image/scheduled-mark@20201125.png) left top no-repeat;
}

/* overlay */

#overlay {
	position:fixed;
	display:flex;
	flex-direction:column;
	justify-content:center;
	align-items:center;
	left:0;
	top:0;
	right:0;
	bottom:0;
	background-color:rgba(0,0,0,.01);
	transition-property:background-color;
	transition-duration:.5s;
	transition-timing-function:ease;
	transition-delay:2s;
	z-index:1100;
}

#overlay.show {
	background-color:rgba(0,0,0,.9);
}

#overlay-loading {
	display:flex;
	align-items:center;
}

#overlay-loading > div {
	display:flex;
	align-items:center;
	padding:0 24px 0 0;
	background-color:rgba(0,0,0,.75);
	border-radius:12px;
}

#overlay-message {
	color:#fff;
	font-size:var(--x-large);
	font-weight:bold;
}

#overlay-content-wrap {
	background-color:#fff;
	color:#333;
	padding:16px;
	max-width:720px;
	border-radius:8px;
	box-shadow:0 3px 8px rgba(0, 0, 0, .5);
	/*font-size:var(--x-large);*/
}

#overlay-content-wrap p {
	margin:0 0 1em 0;
	line-height:1.5;
	font-size:var(--x-large);
}

#overlay a.b {
	display:block;
	margin:0;
	padding:8px 48px 8px 48px;
	text-align:center;
	text-decoration:none;
	border-radius:4px;
	background-color:#333;
	color:#fff;
	font-weight:bold;
	font-size:var(--large);
}

#overlay a.b2 {
	display:inline-block !important;
	padding:8px 16px 8px 16px !important;
}

#overlay a.b:hover {
	background-color:#777;
}

#overlay a.b:not(:last-child) {
	margin-right:8px;
}

#overlay a.c {
	font-size:var(--small);
}

.overlay-actions {
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	align-items:flex-start;
	font-size:var(--medium);
}

.overlay-actions > :first-child {
	flex:1 1 auto;
}

#overlay-status-wrap {
	color:#fff;
	font-size:var(--small);
}

#overlay-status-wrap > :first-child {
	visibility:hidden;
}

/* sharing dialog */

.share h2 {
	margin:0 0 1em 0;
	padding:0 0 8px 0;
	border-bottom:1px solid #ccc;
	font-size:var(--x-large);
	font-weight:bold;
}

.share .template-opener {
	display:block;
	font-size:var(--medium);
	padding:4px 4px 4px 8px;
	border-radius:4px;
	background-color:#ccc;
	color:#000;
	text-decoration:none;
}

.share .template-opener.opened {
	border-radius:4px 4px 0 0;
}

.share .template-opener::before {
	content:" ";
	display:inline-block;
	width:15px;
	height:15px;
	margin:0 4px 0 0;
	background:url(../image/triangle@20201007.png) center center no-repeat;
	vertical-align:baseline;
	transition:transform .5s ease;
}

.share .template-opener.opened::before {
	transform:rotate(90deg);
}

.share .template-controls {
	background-color:#ccc;
	padding:8px;
	border-radius:0 0 4px 4px;
}

.share > div {
	margin:0 0 8px 0;
}

.share textarea {
	resize:none;
	box-sizing:border-box;
	display:block;
	width:100%;
	height:200px;
	margin:0 0 8px 0;
	font-size:var(--small);
}

.share .share-text-wrap textarea {
	width:500px;
}

/* search result */

.search-result {
	box-sizing:border-box;
	margin:0;
	padding:1em;
	background-color:#eee;
	width:var(--document-width);
}

.search-result .search-result-bottom {
	margin:0 -1em -1em -1em;
	height:64px;
	background:linear-gradient(to bottom, #eee 0%,#fff 100%);
}

.search-message {
	margin:3em 0 3em 0;
	font-size:var(--xx-large);
	font-weight:bold;
	text-align:center;
}

.search-tools {
	display:flex;
	justify-content:space-between;
	margin:0;
}

.search-tools:first-child {
	margin-bottom:16px;
}

.search-tools:last-child {
	margin-top:48px;
}

.search-tools .search-count {
	text-align:right;
}

.search-tools .search-count span {
	font-weight:bold;
}

.search-tools .search-count .search-info {
	font-size:var(--small);
}

.segment-heading {
	margin:0 0 16px 0;
	padding:10px;
	border:2px solid #555;
	/*background-color:#555;*/
	color:#333;
	border-radius:8px;
	font-size:var(--large);
	font-weight:bold;
	line-height:1;
	text-align:center;
}

.segment-heading:not(:first-child) {
	margin-top:100px;
}

.segment-heading span {
	margin:0 0 0 12px;
	font-size:80%;
	font-weight:normal;
}

.date-heading {
	margin:0 0 8px 0;
	padding:10px;
	border:none;
	font-size:var(--x-large);
	font-weight:bold;
	line-height:1;
	text-align:center;
}

.found-item + .date-heading {
	margin-top:32px;
}

.found-item-opener {
	box-sizing:border-box;
	width:960px;
	margin:0 auto 1em auto;
	padding:20px;
	border:1px solid #fff;
	text-align:center;
	box-shadow:0 3px 8px rgba(0, 0, 0, .5);
	background-color:#fff;
}

.found-item {
	display:flex;
	flex-direction:row;
	margin:0 auto 1em auto;
	padding:0;
	max-width:960px;
	box-shadow:0 3px 8px rgba(0, 0, 0, .5);
	background-color:#fff;
}

.found-item > .found-item-thumbnail {
	display:flex;
	align-items:stretch;
	position:relative;
	box-sizing:border-box;
	margin:0;
	padding:0;
	width:256px;
	background-color:#000;
	background-size:cover;
}

.found-item > .found-item-thumbnail a {
	width:256px;
	background-size:contain;
	background-position:center;
	background-repeat:no-repeat;
	backdrop-filter:blur(4px) brightness(90%);
}

.found-item > .found-item-thumbnail img {
	margin:0;
	border:none;
	width:256px;
}

.found-item > div:nth-child(2) {
	box-sizing:border-box;
	margin:0;
	padding:10px;
	overflow-y:hidden;
}

.found-item .title {
	margin:0 0 10px 0;
	font-size:var(--large);
	font-weight:bold;
	line-height:1.1;
}

.found-item .info {
	margin:0 0 4px 0;
	font-size:var(--small);
	line-height:1.1;
	color:#228B22;
}

.found-item .desc {
	margin:0 0 10px 0;
	font-size:var(--small);
	line-height:1.4;
}

.found-item .casts {
	margin:0 0 0 1em;
	color:#888;
	font-size:var(--small);
}

.found-item .timeshift-link,
.found-item .detail-link,
.found-item .notify-link,
.found-item .channel-link,
.found-item-opener .found-item-opener-link {
	display:inline-block;
	margin:0 0 0 8px;
	padding:8px 64px 8px 64px;
	border-radius:4px;
	background-color:#333;
	color:#fff;
	text-align:center;
	font-size:var(--medium);
	font-weight:bold;
	text-decoration:none;
}

.found-item .timeshift-link:hover,
.found-item .detail-link:hover,
.found-item .notify-link:hover,
.found-item .channel-link:hover,
.found-item-opener .found-item-opener-link:hover {
	background-color:#777;
}

.found-item .hashtag-link {
	margin:0 0 0 8px;
}

.search-result .float-button-left {
	bottom:40%;
}

.search-result .search-hints-link {
}

.search-result .search-hints-link img {
	width:24px;
	vertical-align:-20%;
	margin:0 4px 0 0;
}

.search-result .search-hints {
	position:relative;
	margin:24px auto 3em auto;
	padding:2em 6em 2em 6em;
	background-color:#ccc;
	color:#333;
	border-radius:12px;
}

.search-result .search-hints::before {
	content:"";
	position:absolute;
	top:-30px;
	left:3em;
	border:15px solid transparent;
	border-bottom:15px solid #ccc;
}

.search-result .search-hints > div {
	margin:0 auto 0 auto;
	max-width:960px;
}

.search-result .search-hints li {
	margin:0 0 .5em 0;
}

.search-result .search-hints b {
	display:inline-block;
	margin:0 .5em 0 0;
	padding:4px;
	background-color:#333;
	color:#fff;
	border-radius:4px;
	font-family:monospace;
	/*font-size:150%;*/
	font-weight:bold;
	line-height:1;
}

/* settings pane */

.settings {
	position:fixed;
	box-sizing:border-box;
	left:-100%;
	width:100%;
	top:0;
	bottom:0;
	overflow-y:scroll;
	padding:12px;
	background-color:#eee;
	color:#000;
	transition-property:left;
	transition-duration:.3s;
	transition-timing-function:linear;
	transition-delay:0s;
	z-index:1050;
}

.settings.running {
	left:0;
}

.settings > div {
	margin:0 auto 0 auto;
	max-width:720px;
}

.settings h1 {
	margin:0 0 1em 0;
	padding:0 0 8px 0;
	border-bottom:1px solid silver;
	line-height:1;
	font-weight:bold;
	font-size:var(--x-large);
}

.settings ul {
	margin:0;
	padding:0;
}

.settings li {
	list-style:none;
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	align-items:flex-start;
	margin:0;
	padding:0 0 8px 0;
	background-color:#fff;
	color:#333;
	font-size:var(--medium);
}

.settings .root > li {
	padding:12px 0 12px 12px;
	border-bottom:1px solid #eee;
}

.settings .root > li:last-child {
	padding-bottom:5em;
}
.settings ul.settings-list > li {
	padding-right:12px;
}

.settings li:first-child {
	border-radius:8px 8px 0 0;
}

.settings li:last-child {
	border-bottom:none;
	border-radius:0 0 8px 8px;
}

.settings li > div:first-child {
	margin:0 12px 0 0;
	text-align:left;
}

.settings li > div:last-child {
	flex-grow:1;
	margin:0;
	text-align:right;
}

.settings .input-wrap {
	margin:0 0 8px 0;
}

.settings .settings-actions {
	position:fixed;
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	margin:0 auto 0 auto;
	padding:8px;
	width:720px;
	bottom:0;
	box-sizing:border-box;
	background-color:#fff;
	border-top:1px solid #eee;
}

.settings .settings-actions a {
	display:block;
	padding:8px 16px 8px 16px;
	text-align:center;
	text-decoration:none;
	border-radius:8px;
	font-size:var(--large);
}

.settings .settings-actions a:first-child {
	flex-grow:10;
	background-color:#00aa00;
	color:#fff;
	font-weight:bold;
}

.settings .settings-actions a:first-child:hover {
	background-color:#00cc00;
}

.settings .settings-actions a:last-child {
	margin:0 0 0 8px;
	background-color:#333;
	color:#fff;
}

.settings .settings-actions a:last-child:hover {
	background-color:#777;
}

.settings fieldset {
	border:1px solid #888;
	border-radius:4px;
}

.settings .selected-description {
	font-size:var(--small);
	text-align:center;
}

#selected-channels {
	min-height:64px;
	padding:4px 4px 32px 4px;
}

#selected-channels.dragover {
	background-color:#ddd;
}

#selected-channels div {
	margin:4px;
	padding:3px;
	height:30px;
	background:#333 center center no-repeat;
	border-radius:3px;
	cursor:move;
	user-select:none;
}

#selected-channels div.dragging {
	background-color:#888;
}

#selected-channels div.dragover {
	background-color:#888;
}

#unselected-channels {
	min-height:64px;
	margin:8px 0 0 0;
	padding:4px 4px 32px 4px;
}

#unselected-channels.dragover {
	background-color:#ddd;
}

#unselected-channels div {
	display:inline-block;
	margin:4px;
	padding:3px;
	width:80px;
	height:30px;
	background:#333 center center no-repeat;
	border-radius:3px;
	cursor:move;
	user-select:none;
}

#unselected-channels div.dragging {
	background-color:#888;
}

#unselected-channels div.dragover {
	background-color:#888;
}

/*
 * notify settings dialog
 */

.notify-settings h1 {
	margin:0 0 1em 0;
	padding:0 0 8px 0;
	border-bottom:1px solid silver;
	line-height:1;
	font-weight:bold;
	font-size:var(--x-large);
}

.notify-settings .notify-settings-column {
	display:flex;
	flex-direction:row;
	align-items:stretch;
	margin:0 0 1em 0;
	border:1px solid #ddd;
}

.notify-settings .slot {
	max-width:256px;
	padding:8px;
	border-bottom:none;
}

.notify-settings .flags {
	max-width:33vw;
}

.notify-settings ul {
	margin:8px;
	padding:0;
}

.notify-settings li {
	list-style:none;
	display:flex;
	flex-direction:row;
	justify-content:space-between;
	align-items:flex-start;
	margin:0;
	padding:0 0 8px 0;
	background-color:#fff;
	color:#333;
	font-size:var(--small);
}

.notify-settings li > div:first-child {
	margin:0 8px 0 0;
	text-align:left;
}

.notify-settings li > div:last-child {
	flex-grow:1;
	text-align:right;
}

/*
 * notify list column
 */

#notify-list-content {
	position:fixed;
	overflow:hidden;
}

#notify-list-content .empty-notice {
	padding:8px;
	font-size:var(--small);
	text-align:left;
}

#notify-list-content .empty-notice img {
	width:100%;
}

.slots #notify-list-content .empty-notice-compact {
	margin:8px auto 0 25%;
	padding:0;
	color:#000;
	font-size:var(--small);
	font-weight:normal;
	white-space:nowrap;
	writing-mode:vertical-rl;
	text-orientation:upright;
}

.slots:not(.compact) #notify-list-content .empty-notice-compact {
	display:none;
}

.slots.compact #notify-list-content .empty-notice {
	display:none;
}

.slots #notify-list-content .notify-list-slot {
	box-sizing:border-box;
	margin:0 auto 0 auto;
	padding:8px 12px 8px 12px;
}

.slots.compact #notify-list-content .notify-list-slot {
	max-height:300px;
	overflow:hidden;
	text-overflow:ellipsis;
}

.slots:not(.compact) #notify-list-content .slot > .notify-list-slot.compact {
	display:none;
}

.slots.compact #notify-list-content .slot > .notify-list-slot:not(.compact) {
	display:none;
}

/* bottom */

#bottom-container {
	margin:16px 0 30px 0;
}

#bottom-inner {
	position:sticky;
	left:0;
	width:var(--document-width);
	text-align:center;
}
